<!DOCTYPE html>
<html ng-app="SampleApp">
<head>
    <meta charset="UTF-8">
    <title>One way data-binding</title>
    <script src="../Libraries/angular.js"></script>

    <script>
        var app = angular.module("SampleApp",[]);

        app.controller("SampleAppCtrl", function($scope){
            $scope.items = [{name: "Item 1", value: "Value 1"},
            {name: "Item 2", value: "Value 2"},
            {name: "Item 3", value: "Value 3"}];
        });
    </script>
</head>
<body>
    <div ng-controller="SampleAppCtrl">
        <div>There are {{items.length}} items</div>

        <div>There are <span ng-bind="items.length"></span> items</div>

        <div ng-bind-template="First item: {{items[0].name}}. Second item: {{items[1].name}}"></div>

        <div ng-non-bindable>
            AngularJS uses {{and}} characters for templates
        </div>

    </div>
</body>
</html>